Package org.eclipse.e4.core.di

# Interface IBinding

public interface IBinding
Describes binding between object description and its implementation to be used by the dependency injection.

Since:
  1.7
See Also:
  - `IInjector.addBinding(Class)`
  - `IInjector.addBinding(IBinding)`
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`IBinding`
`implementedBy(Class<?> clazz)`
Creates a binding for the specified class
`IBinding`
`named(String name)`
Creates a binding for the specified name.

## Method Details

### named

IBinding named(String name)
Creates a binding for the specified name.

Parameters:
  `name` - name for this binding
Returns:
  binding for the specified name

### implementedBy

IBinding implementedBy(Class<?> clazz)
Creates a binding for the specified class

Parameters:
  `clazz` - class for this binding
Returns:
  binding for the specified class